### Constructor

# Gdk Texture new_from_resource

#### Declaration [src]

    GdkTexture*
    gdk_texture_new_from_resource (
      const char* resource_path
    )

#### Description [src]

Creates a new texture by loading an image from a resource.

The file format is detected automatically. The supported formats are PNG, JPEG and TIFF, though more formats might be available.

It is a fatal error if `resource_path` does not specify a valid image resource and the program will abort if that happens. If you are unsure about the validity of a resource, use `gdk_texture_new_from_file()` to load it.

This function is threadsafe, so that you can e.g. use GTask and `g_task_run_in_thread()` to avoid blocking the main thread while loading a big image.

#### Parameters

`resource_path`

  Type: `const char*`

  The path of the resource file.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GdkTexture`

A newly-created `GdkTexture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.